Bug 46665 - [PNV] webgl conformance case max texture fails
[PNV] webgl conformance case max texture fails
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: Yuanhan Liu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-26 19:27 UTC by zhao jian
Modified: 2012-05-28 01:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zhao jian 2012-02-26 19:27:54 UTC
System Environment:
--------------------------
Mesa:        (master)2a97a00e28db330b8061c73ea6f1a7b7ad9d245f

Bug detailed description:
-------------------------
When run webgl conformance case gl-max-texture-dimensions.html, it fails on rendering 1x2048 texture while passed on rendering 2048x1 texture. This only fails on Pinetrail while passed on Ironlake, SandyBridge. 

Reproduce steps:
-------------------------
1. start X
2. run gl-max-texture-dimensions.html in webgl conformance case
Comment 1 Yuanhan Liu 2012-03-06 21:37:12 UTC
Fixed by the following commit:

----
commit cf2f9ef015c312ecaa6656519602ae535f7ce9d7
Author: Yuanhan Liu <yuanhan.liu@linux.intel.com>
Date:   Tue Mar 6 14:40:32 2012 +0800

    i915: move the FALLBACK_DRAW_OFFSET check outside the drawing rect check
    
    We have to do fallback when the 'Clipped Drawing Rectangle X/Y Max'
    exceed the hardware's limit no matter the drawing rectangle offset
    changed or not.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=46665
    
    NOTE: This is a candidate for stable release branches.
    
    Signed-off-by: Yuanhan Liu <yuanhan.liu@linux.intel.com>
    Reviewed-by: Eric Anholt <eric@anholt.net>